.card {
  width: 250px;
  height: 400px;
  margin: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  border-radius: 5%;
  font-family: 'Noto Sans KR', sans-serif;
  transition: transform .6s;

  &:hover {
    cursor: pointer;
    transform: scale(1.1);
    .card__icon {
      transition: transform 1s;
      transform: scale(1.2);
    }
  }

  .card__icon {
    width: 180px;
    height: 180px;
  }

  .card__weather {
    display: flex;
    flex-direction: column;
    align-items: center;

    .temp {
      font-weight: bolder;
      font-size: 30px;
      margin-bottom: 8px;
      font-family: 'Lemonada', cursive;
    }
  }

  .card__temp {
    display: flex;
    div {
      display: flex;
      flex-direction: column;
      align-items: center;
      margin: auto 1.5rem;
      font-weight: bold;
      font-size: 25px;

      div {
        font-weight: normal;
        font-size: 14px
      }

      .up__icon {
        color: rgb(245, 43, 43);
      }

      .down__icon {
        color: rgb(134, 252, 0);
      }
    }
  }

  .add__button {
    display: none;
    margin-top: 1rem;
    border-radius: 25px;
    border-style: none;
    width: 50%;
    height: 10%;
    background-color: rgb(31, 2, 31);
    color: white;
    transition: transform 1s;
    &:focus {
      outline: none;
    }

    &:hover {
      cursor: pointer;
      transform: scale(1.2);
      background-color: rgb(109, 3, 109);
    }
  }
}

.delete__button {
  display: block;
  margin-top: 1rem;
  border-radius: 25px;
  border-style: none;
  width: 50%;
  height: 10%;
  background-color: rgb(31, 2, 31);
  color: white;
  transition: transform 1s;

  &:hover {
    cursor: pointer;
    transform: scale(1.2);
    background-color: rgb(109, 3, 109);
  }

  &:focus {
    outline: none;
  }
}


:host-context(.add-component) {
  .add__button {
    display: block;
  }
  .delete__button {
    display: none;
  }
}

